<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAdfsOauthTokensTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('adfs_oauth_tokens', function (Blueprint $table) {
            $table->text('access_token', 1000);
            $table->dateTime('access_token_expiry');
            $table->text('refresh_token', 1000);
            $table->dateTime('refresh_token_expiry');
            $table->text('id_token', 1000);
            $table->integer('user_id')->unsigned();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('adfs_oauth_tokens');
    }
}
